"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const index_esm = require("../../../min-dom/dist/index.esm.js");
var CURSOR_CLS_PATTERN = /^djs-cursor-.*$/;
function set(mode) {
  var classes = index_esm.classes(document.body);
  classes.removeMatching(CURSOR_CLS_PATTERN);
  if (mode) {
    classes.add("djs-cursor-" + mode);
  }
}
function unset() {
  set(null);
}
exports.set = set;
exports.unset = unset;
